[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# tfpstate

Record describing floating point unit in signal handler.

## Declaration

Source position: sighndh.inc line 45

`type tfpstate = record`
`cw: Cardinal;` |  |
`sw: Cardinal;` |  |
`tag: Cardinal;` |  |
`ipoff: Cardinal;` |  |
`cssel: Cardinal;` |  |
`dataoff: Cardinal;` |  |
`datasel: Cardinal;` |  |
`st: array [0..7] of tfpreg;` |  |
`status: Word;` |  |
`magic: Word;`
`fxsr_env: array [0..5] of dword;`
`mxcsr: dword;`
`reserved: dword;`
`fxsr_st: array [0..7] of tfpxreg;`
`xmmreg: array [0..7] of txmmreg;`
`case Byte of`
`1: (`
`padding: array [0..43] of dword;`
`case Byte of`
`1: (`
`padding2: array [0..11] of dword;`
`);`
`2: (`
`sw_reserved: tfpx_sw_bytes;`
`);`
`);`
`2: (`
`padding1: array [0..43] of dword;`
`);`
`end;`